<?php
defined('_JEXEC') or die('Restricted access');

class plgJshoppingProductsJshop_attr_link extends JPlugin{
    public function __construct(&$subject, $config = array()) {
        
        parent::__construct($subject, $config);
    }
    
    public function onBeforeLoadProduct(){
        $document = JFactory::getDocument();
        $document->addScriptDeclaration('reloadAttribEvents[reloadAttribEvents.length] = function(json){'
                . 'if (typeof json.link_with_attributes !== "undefined"){'
                    . 'window.location.href = json.link_with_attributes;'
                . '};'
                . '}');
    }
    
    public function onBeforeLoadDisplayAjaxAttrib(&$product_id, &$change_attr, &$qty, &$attribs, &$freeattr){
        if (is_array($attribs) && count($attribs) && $change_attr){
            $product = JSFactory::getTable('product', 'jshop'); 
            $product->load($product_id);
        
            if ($product->product_id){
                $attributesString = '';
                foreach ($attribs as $attrId => $attrValue){
                    $attributesString .= '&attr['.$attrId.']='.$attrValue;
                }

                $link = SEFLink('index.php?option=com_jshopping&controller=product&task=view&category_id='.$product->getCategory().'&product_id='.$product->product_id.$attributesString);

                $rows = array();
                $rows[] = '"link_with_attributes":"'.str_replace("&amp;", "&", $link).'"';

                print '{'.implode(",",$rows).'}';
                die();
            }
        }
    }
}